diff --git a/src/backend/executor/nodeAgg.c b/src/backend/executor/nodeAgg.c
index b7f49ceddf..d5309c00c3 100644
--- a/src/backend/executor/nodeAgg.c
+++ b/src/backend/executor/nodeAgg.c
@@ -2234,7 +2234,7 @@ ExecInitAgg(Agg *node, EState *estate, int eflags)
 		 * The output of the tuplesort, and the output from the outer child
 		 * might not use the same type of slot. In most cases the child will
 		 * be a Sort, and thus return a TTSOpsMinimalTuple type slot - but the
-		 * input can also be be presorted due an index, in which case it could
+		 * input can also be presorted due an index, in which case it could
 		 * be a different type of slot.
 		 *
 		 * XXX: For efficiency it would be good to instead/additionally
diff --git a/src/backend/utils/adt/jsonpath_exec.c b/src/backend/utils/adt/jsonpath_exec.c
index 6b9bd00bb7..b6fdd474be 100644
--- a/src/backend/utils/adt/jsonpath_exec.c
+++ b/src/backend/utils/adt/jsonpath_exec.c
@@ -2517,7 +2517,7 @@ JsonbInitBinary(JsonbValue *jbv, Jsonb *jb)
 }
 
 /*
- * Returns jbv* type of of JsonbValue. Note, it never returns jbvBinary as is.
+ * Returns jbv* type of JsonbValue. Note, it never returns jbvBinary as is.
  */
 static int
 JsonbType(JsonbValue *jb)
diff --git a/src/bin/pg_upgrade/version.c b/src/bin/pg_upgrade/version.c
index 48b2698948..4e5d27f76e 100644
--- a/src/bin/pg_upgrade/version.c
+++ b/src/bin/pg_upgrade/version.c
@@ -156,7 +156,7 @@ check_for_data_type_usage(ClusterInfo *cluster, const char *typename,
 						  "				  a.atttypid = x.oid ",
 						  typename);
 
-		/* Ranges came in in 9.2 */
+		/* Ranges were introduced in 9.2 */
 		if (GET_MAJOR_VERSION(cluster->major_version) >= 902)
 			appendPQExpBuffer(&querybuf,
 							  "			UNION ALL "
